#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'page_rmbmenubase.ui'
**
** Created: 2015-12-18T10:34:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "page_rmbmenubase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PageRMBMenuBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PageRMBMenuBase::PageRMBMenuBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PageRMBMenuBase" );
    PageRMBMenuBaseLayout = new QVBoxLayout( this, 0, 6, "PageRMBMenuBaseLayout"); 

    explLabel = new QLabel( this, "explLabel" );
    explLabel->setMaximumSize( QSize( 32767, 32767 ) );
    explLabel->setFrameShape( QLabel::NoFrame );
    explLabel->setFrameShadow( QLabel::Plain );
    explLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );
    PageRMBMenuBaseLayout->addWidget( explLabel );

    Layout28 = new QHBoxLayout( 0, 0, 6, "Layout28"); 

    commandLB = new QListBox( this, "commandLB" );
    Layout28->addWidget( commandLB );

    Layout26 = new QVBoxLayout( 0, 0, 6, "Layout26"); 

    entryNameLabel = new QLabel( this, "entryNameLabel" );
    Layout26->addWidget( entryNameLabel );

    entryLE = new QLineEdit( this, "entryLE" );
    Layout26->addWidget( entryLE );

    commandLabel = new QLabel( this, "commandLabel" );
    Layout26->addWidget( commandLabel );

    commandLE = new QLineEdit( this, "commandLE" );
    Layout26->addWidget( commandLE );

    opEnableCB = new QCheckBox( this, "opEnableCB" );
    Layout26->addWidget( opEnableCB );
    Spacer4 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Layout26->addItem( Spacer4 );

    Layout24 = new QHBoxLayout( 0, 0, 6, "Layout24"); 

    moveUpPB = new QPushButton( this, "moveUpPB" );
    moveUpPB->setEnabled( FALSE );
    moveUpPB->setMaximumSize( QSize( 32767, 32767 ) );
    Layout24->addWidget( moveUpPB );

    moveDownPB = new QPushButton( this, "moveDownPB" );
    moveDownPB->setEnabled( FALSE );
    moveDownPB->setMaximumSize( QSize( 32767, 32767 ) );
    Layout24->addWidget( moveDownPB );
    Layout26->addLayout( Layout24 );
    Spacer5 = new QSpacerItem( 10, 21, QSizePolicy::Minimum, QSizePolicy::Fixed );
    Layout26->addItem( Spacer5 );

    insertSeperatorPB = new QPushButton( this, "insertSeperatorPB" );
    Layout26->addWidget( insertSeperatorPB );

    insertItemPB = new QPushButton( this, "insertItemPB" );
    Layout26->addWidget( insertItemPB );

    changeItemPB = new QPushButton( this, "changeItemPB" );
    Layout26->addWidget( changeItemPB );

    deleteItemPB = new QPushButton( this, "deleteItemPB" );
    Layout26->addWidget( deleteItemPB );
    Layout28->addLayout( Layout26 );
    PageRMBMenuBaseLayout->addLayout( Layout28 );
    languageChange();
    resize( QSize(399, 465).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    entryNameLabel->setBuddy( entryLE );
    commandLabel->setBuddy( commandLE );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PageRMBMenuBase::~PageRMBMenuBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PageRMBMenuBase::languageChange()
{
    setCaption( tr2i18n( "Nick Option Menu" ) );
    explLabel->setText( tr2i18n( "This page allows configuration of the RMB Menu for the nicklist located on the right. You can define names for certain actions. Look at the predefined commands to learn how it works." ) );
    entryNameLabel->setText( tr2i18n( "&Entry name:" ) );
    commandLabel->setText( tr2i18n( "Associated co&mmand:" ) );
    opEnableCB->setText( tr2i18n( "Onl&y enable on Op status" ) );
    moveUpPB->setText( tr2i18n( "Move Down" ) );
    moveDownPB->setText( tr2i18n( "Move Up" ) );
    insertSeperatorPB->setText( tr2i18n( "Insert &Separator" ) );
    insertItemPB->setText( tr2i18n( "&Insert Command" ) );
    changeItemPB->setText( tr2i18n( "M&odify" ) );
    deleteItemPB->setText( tr2i18n( "De&lete Selected Command" ) );
}

/****************************************************************************
** PageRMBMenuBase meta object code from reading C++ file 'page_rmbmenubase.h'
**
** Created: Fri Dec 18 10:34:54 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "page_rmbmenubase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *PageRMBMenuBase::className() const
{
    return "PageRMBMenuBase";
}

QMetaObject *PageRMBMenuBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_PageRMBMenuBase( "PageRMBMenuBase", &PageRMBMenuBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString PageRMBMenuBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PageRMBMenuBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString PageRMBMenuBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PageRMBMenuBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* PageRMBMenuBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"PageRMBMenuBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_PageRMBMenuBase.setMetaObject( metaObj );
    return metaObj;
}

void* PageRMBMenuBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PageRMBMenuBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool PageRMBMenuBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool PageRMBMenuBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool PageRMBMenuBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool PageRMBMenuBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
